/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package action;

import ws.Mesto;
import java.util.List;
import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.EntityTransaction;
import javax.persistence.Persistence;
import javax.servlet.http.HttpServletRequest;


/**
 *
 * @author student1
 */
public class ActionObrisiMesto implements Action {

    @Override
    public String obradiZahtev(HttpServletRequest request) {
        String strana = null;
        String sPtt = request.getParameter("ptt");
        long ptt = Long.parseLong(sPtt);
        //obrisi mesto
        String rezultat = obrisiMesto(ptt);
        if ("OK".equals(rezultat)) {
            List<Mesto> listaMesta = vratiMesta();
            request.setAttribute("kolekcijaMesta", listaMesta);
            strana = "/WEB-INF/sva_mesta.jsp";
        } else {
            // Strana za gresku!
        }
        
        
        return strana;
    }

    private static String obrisiMesto(long ptt) {
        ws.MestoWS_Service service = new ws.MestoWS_Service();
        ws.MestoWS port = service.getMestoWSPort();
        return port.obrisiMesto(ptt);
    }

    private static java.util.List<ws.Mesto> vratiMesta() {
        ws.MestoWS_Service service = new ws.MestoWS_Service();
        ws.MestoWS port = service.getMestoWSPort();
        return port.vratiMesta();
    }

}
