/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package action;

import ws.Mesto;
import java.util.List;
import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;
import javax.servlet.http.HttpServletRequest;

/**
 *
 * @author student1
 */
public class ActionSacuvajMesto implements Action {

    @Override
    public String obradiZahtev(HttpServletRequest request) {
        String strana = null;
        if (request.getMethod().equalsIgnoreCase("GET")) {
            strana = "/WEB-INF/unos_novog_mesta.jsp";
        }
        if (request.getMethod().equalsIgnoreCase("POST")) {
            String sPtt = request.getParameter("txt_ptt");
            String naziv = request.getParameter("txt_naziv");
            long ptt = Long.parseLong(sPtt);
            String signal = sacuvajMesto(ptt, naziv);
            if ("OK".equals(signal)) {
                List<Mesto> listaMesta = vratiMesta();
                request.setAttribute("kolekcijaMesta", listaMesta);
                strana = "/WEB-INF/sva_mesta.jsp";
            }
        }

        return strana;
    }

    private static String sacuvajMesto(long ptt, java.lang.String naziv) {
        ws.MestoWS_Service service = new ws.MestoWS_Service();
        ws.MestoWS port = service.getMestoWSPort();
        return port.sacuvajMesto(ptt, naziv);
    }

    private static java.util.List<ws.Mesto> vratiMesta() {
        ws.MestoWS_Service service = new ws.MestoWS_Service();
        ws.MestoWS port = service.getMestoWSPort();
        return port.vratiMesta();
    }

}
